Add Documents to Collection

Add embedding instances (documents) to an existing collection.

Expands the collection’s knowledge base by including additional documents. The documents must already exist as embedding instances in the system.

Authentication

AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

OR
AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

Path parameters

collection_idstringRequiredformat: "uuid"
org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.

Request

This endpoint expects an object.
embedding_instance_idslist of stringsRequired

Response

Documents added to the collection
titlestring
project_idstringformat: "uuid"
idstringformat: "uuid"
createdstring
modifiedstring
summarystring or nullOptional
embedding_instanceslist of objectsOptionalDefaults to []
task_idslist of stringsOptionalDefaults to []

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error